<!-- 

<div class="tab_content">

  <div *ngIf="config.reset == true" class="brr Aaction_container p-1 mt-1 mb-1">
    <button 
      class="brl ml-0 btn btn-md p-1 action fs16"
      [ngClass]="{'btn-light': bChanged == false, 'btn-danger': bChanged == true}"
      (click)="resetData()"
    >
      Reset data prior to changes
    </button>
  </div>


  <div class="brl w-100 form_container fsfs12">
    <form *ngIf="viewForm" class="p-2 pt-2" [formGroup]="formAnagrafica" (submit)="$event.preventDefault()">
      
      <ng-container *ngFor="let field of fields ; let i = index; trackBy: trackByFn">
        <ng-container *ngIf="field[3] === 'true'">
          
          <mat-form-field 
            *ngIf="field[2] == 'input' || (field[2] == 'select' && disabled == true)"
            appearance="fill" 
            [ngClass]="{'w-100': field[0] == 'note'}"
            >
            <mat-label [ngClass]= "is-invalid" >{{ field[1] }}</mat-label>
            
            <input
              matInput type="{{field[5]}}"
              name="{{field[0]}}"
              [(ngModel)]="data[field[0]]"
              disabled="{{field[4] == 'false' || disabled == true}}"
              (keyup)="handleChanges(field[0], data[field[0]])"
              (change)="handleChanges(field[0], data[field[0]])"
              required="{{field[6].error.required}}"
              minlength="{{field[6].error.minlength}}"
              maxlength="{{field[6].error.maxlength}}"
              class="form-control"
              formControlName="{{field[0]}}" 
            >
            <mat-error *ngIf="hasError(field[0], 'required') && formAnagrafica.controls[field[0]].value">Valore Errato</mat-error>
            <mat-error *ngIf="hasError(field[0], 'required') && !formAnagrafica.controls[field[0]].value">* Campo obbligatorio</mat-error>
            <mat-error *ngIf="hasError(field[0], 'minlength')">Si possono inserire minimo '{{field[6].error.minlength}}' caratteri</mat-error>
            <mat-error *ngIf="hasError(field[0], 'maxlength')">Si possono inserire massimo '{{field[6].error.maxlength}}' caratteri</mat-error>
          </mat-form-field>

          <select 
            matInput
            name="{{field}}_SELECT"
            [(ngModel)]="data[field[0]]"  
            *ngIf="field[2] == 'select' && !disabled"
            class=" fs16 select" 
            id="select_{{i}}" 
            
            (change)="onChange(field[0], $event.target.value)"
          >
            <ng-container *ngFor="let el of selectData[field[0]]; let i = index">
                <option value="{{ el['value'] }}" [selected]="data[field[0]] == el['value']" class="">{{ el['label'] }}</option>
            </ng-container>
          </select>

        </ng-container>
    </ng-container>
  
    </form>
  </div>


</div> -->




<div class="tab_content">

  <div *ngIf="config.reset == true" class="brr Aaction_container p-1 mt-1 mb-1">
    <button 
      class="brl ml-0 btn btn-md p-1 action fs16"
      [ngClass]="{'btn-light': bChanged == false, 'btn-danger': bChanged == true}"
      (click)="resetData()"
    >
      Reset data prior to changes
    </button>
  </div>


  <div class="brl w-100 form_container fsfs12">
    
    <form *ngIf="viewForm" class="p-2 pt-2" [formGroup]="formAnagrafica" (submit)="$event.preventDefault()">
      
      <ng-container *ngFor="let field of fields ; let i = index; trackBy: trackByFn">
        <ng-container *ngIf="field[3] === 'true'">
          <mat-form-field 
            *ngIf="field[2] == 'input'"
            appearance="fill" 
            [ngClass]="{'w-100': field[0] == 'note'}"
            >
            <mat-label [ngClass]= "is-invalid" >{{ field[1] }}</mat-label>
            <!--name="{{field}}_TEXT"-->
            <input
              matInput type="{{field[5]}}"
              name="{{field[0]}}"
              [(ngModel)]="data[field[0]]"
              disabled="{{field[4] == 'false' || disabled == true}}"
              (keyup)="handleChanges(field[0], data[field[0]])"
              (change)="handleChanges(field[0], data[field[0]])"
              required="{{field[6].error.required}}"
              minlength="{{field[6].error.minlength}}"
              maxlength="{{field[6].error.maxlength}}"
              class="form-control"
              formControlName="{{field[0]}}"
            >
            
          <select 
            matInput  
            *ngIf="field[2] == 'select'" 
            class="brl nj-form-control fs16 select" 
            id="exampleSelect" 
            (change)="onChange(field[0], $event.target.value)"
            required="{{field[6].error.required}}"
            class="form-control"
              formControlName="{{field[0]}}"
          >
            <ng-container *ngFor="let el of selectData[field[0]]; let i = index">
                <option value="{{ i }}" [selected]="selectedTenantIndex == i" class="">{{ el['label'] }}</option>
            </ng-container>
          </select>
          <mat-error *ngIf="hasError(field[0], 'required') && formAnagrafica.controls[field[0]].value">Valore Errato</mat-error>
           <mat-error *ngIf="hasError(field[0], 'required') && !formAnagrafica.controls[field[0]].value">* Campo obbligatorio</mat-error>
           <mat-error *ngIf="hasError(field[0], 'minlength')">Si possono inserire minimo '{{field[6].error.minlength}}' caratteri</mat-error>
           <mat-error *ngIf="hasError(field[0], 'maxlength')">Si possono inserire massimo '{{field[6].error.maxlength}}' caratteri</mat-error>
           
          </mat-form-field>
      </ng-container>
    </ng-container>
  
    </form>
  </div>


</div>

